Bug 231187

Summary: media/modern-media-controls tests are timing out
Product: WebKit Reporter: ayumi_kojima
Component: MediaAssignee: Devin Rousso <drousso>
Status: RESOLVED FIXED    
Severity: Normal CC: ap, drousso, hhjalmarsson, webkit-bot-watchers-bugzilla, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: iPhone / iPad   
OS: Unspecified   

Description ayumi_kojima 2021-10-04 11:54:08 PDT
media/modern-media-controls/overflow-support/button-state.html
media/modern-media-controls/tracks-support/text-track-selected-via-media-api.html
media/modern-media-controls/tracks-support/sorted-by-user-preferred-languages.html
media/modern-media-controls/tracks-support/show-contextmenu-then-double-click-on-tracks-button.html
media/modern-media-controls/tracks-support/off-text-track.html
media/modern-media-controls/tracks-support/hidden-tracks.html
media/modern-media-controls/tracks-support/click-track-in-contextmenu.html
media/modern-media-controls/tracks-support/auto-text-track.html
media/modern-media-controls/overflow-support/playback-speed.html
media/modern-media-controls/overflow-support/chapters.html

Are timing out on iOS simulator after updating to iOS 15.

History: https://results.webkit.org/?suite=layout-tests&suite=layout-tests&suite=layout-tests&suite=layout-tests&suite=layout-tests&suite=layout-tests&suite=layout-tests&suite=layout-tests&suite=layout-tests&suite=layout-tests&test=media%2Fmodern-media-controls%2Foverflow-support%2Fbutton-state.html&test=media%2Fmodern-media-controls%2Foverflow-support%2Fchapters.html&test=media%2Fmodern-media-controls%2Foverflow-support%2Fplayback-speed.html&test=media%2Fmodern-media-controls%2Ftracks-support%2Fauto-text-track.html&test=media%2Fmodern-media-controls%2Ftracks-support%2Fclick-track-in-contextmenu.html&test=media%2Fmodern-media-controls%2Ftracks-support%2Fhidden-tracks.html&test=media%2Fmodern-media-controls%2Ftracks-support%2Foff-text-track.html&test=media%2Fmodern-media-controls%2Ftracks-support%2Fshow-contextmenu-then-double-click-on-tracks-button.html&test=media%2Fmodern-media-controls%2Ftracks-support%2Fsorted-by-user-preferred-languages.html&test=media%2Fmodern-media-controls%2Ftracks-support%2Ftext-track-selected-via-media-api.html

Result page: https://build.webkit.org/results/Apple-iOS-15-Simulator-Release-WK2-Tests/r283490%20(54)/results.html

Diff:

--- /Volumes/Data/worker/ios-simulator-15-release-tests-wk2/build/layout-test-results/media/modern-media-controls/overflow-support/button-state-expected.txt
+++ /Volumes/Data/worker/ios-simulator-15-release-tests-wk2/build/layout-test-results/media/modern-media-controls/overflow-support/button-state-actual.txt
@@ -1,3 +1,5 @@
+FAIL: Timed out waiting for notifyDone to be called
+
 Testing that the overflow button is properly marked as `on` only when the context menu is showing.
 
 On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
@@ -6,10 +8,4 @@
 PASS shadowRoot.querySelector('button.overflow') became different from null
 PASS shadowRoot.querySelector('button.overflow').getBoundingClientRect().width became different from 0
 Tapping overflow button...
-PASS shadowRoot.querySelector('button.overflow').classList.contains('on') became true
-Dismissing contextmenu...
-PASS shadowRoot.querySelector('button.overflow').classList.contains('on') became false
-PASS successfullyParsed is true
 
-TEST COMPLETE
-

The tests are marked to skip on iOS-14 (https://trac.webkit.org/changeset/280246/webkit).
Comment 1 Radar WebKit Bug Importer 2021-10-04 11:54:31 PDT
<rdar://problem/83846919>
Comment 2 ayumi_kojima 2021-10-06 10:14:30 PDT
Marked test expectations while investigating: https://trac.webkit.org/changeset/283630/webkit
Comment 3 Devin Rousso 2022-05-19 14:35:27 PDT
Pull request: https://github.com/WebKit/WebKit/pull/802
Comment 4 EWS 2022-05-19 14:45:13 PDT
Committed r294505 (250762@main): <https://commits.webkit.org/250762@main>

Reviewed commits have been landed. Closing PR #802 and removing active labels.
Comment 5 EWS 2022-07-26 11:55:37 PDT
Test gardening commit 252839@main (771f54b1cefa): <https://commits.webkit.org/252839@main>

Reviewed commits have been landed. Closing PR #2746 and removing active labels.
Comment 6 Hercules Hjalmarsson 2022-07-26 12:00:34 PDT
(In reply to EWS from comment #5)
> Test gardening commit 252839@main (771f54b1cefa):
> <https://commits.webkit.org/252839@main>
> 
> Reviewed commits have been landed. Closing PR #2746 and removing active
> labels.

Updated expectations from timeout to skip on open source in above commit.
Comment 7 Hercules Hjalmarsson 2022-07-26 12:30:01 PDT
Noticed that previous timeout expectation for media/modern-media-controls/overflow-support/chapters.html was set twice. Addressing.
Comment 8 Hercules Hjalmarsson 2022-07-26 13:59:15 PDT
(In reply to Hercules Hjalmarsson from comment #7)
> Noticed that previous timeout expectation for
> media/modern-media-controls/overflow-support/chapters.html was set twice.
> Addressing.

Addressing issue under original bug where 1st expectation set https://bugs.webkit.org/show_bug.cgi?id=226828.